# All files / src/generators functionCall.js

100% Statements 2/2
100% Branches 2/2
100% Functions 2/2
100% Lines 2/2

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13

    56x

    56x

     // @flow

    import type { FunctionCallNodeType, GeneratedCodeType, NodeType } from '../types'

    export default (
      Generator: NodeType => GeneratedCodeType
    ): (FunctionCallNodeType => GeneratedCodeType) => ({
      value
    }: FunctionCallNodeType): GeneratedCodeType =>
      value.right
        ? `_.${value.left.value}(${Generator(value.right)})(input)`
        : `_.${value.left.value}(input)`